Closed Bug 200000 Opened 17 years ago Closed 17 years ago

"joke of the day" html spam mail with art image crashes Netscape build

Categories

(Core :: ImageLib, defect)

x86
Windows 2000
defect
Not set

Tracking

()

VERIFIED INVALID

People

(Reporter: chofmann, Unassigned)

Details

(Keywords: crash, Whiteboard: [bugscape-dupe 19929] [ART format] woah, this didn't make bugzilla crash)

Attachments

(2 files)

I received this message Saturday afternoon.  Looks like it produces a reliable
crash on windows builds from 3/28/03..

Here is the content of the message....

jay/jan, can you have a look to see if you can isolate content that seems to
cause the crash?


Return-Path:
<joke-of-the-day-return-1-45-52440300-y3Vn0sbErT1yEcKq-2098@mta01.optamail.com>
Received: from netscape.com ([10.169.8.176]) by dredd.mcom.com
          (Netscape Messaging Server 4.15) with ESMTP id HCIQRY00.3JM for
          <chofmann@dredd.nscp.aoltw.net>; Sat, 29 Mar 2003 08:21:34 -0800 
Received: from awing.netscape.com (awing.aoltw.net [204.29.187.155])
	by netscape.com (8.10.0/8.10.0) with ESMTP id h2TGMU412800
	for <chofmann@mcom.com>; Sat, 29 Mar 2003 08:22:30 -0800 (PST)
Received: from mta01.optamail.com (mta01.optamail.com [204.168.70.194])
	by awing.netscape.com (8.12.8/8.12.8) with SMTP id h2TGMR4x015189
	for <chofmann@mcom.com>; Sat, 29 Mar 2003 08:22:28 -0800 (PST)
Date: Sat, 29 Mar 2003 09:30:01 -0500
Message-ID: <1_45_52440300_2098@mta01.optamail.com>
To: chofmann@mcom.com
From: "joke-of-the-day" <joke@joke-of-the-day.com>
Reply-To: "joke-of-the-day"
<joke-of-the-day-return-1-45-52440300-y3Vn0sbErT1yEcKq-2098@mta01.optamail.com>
List-Unsubscribe:
<mailto:unsub-1-45-52440300-y3Vn0sbErT1yEcKq-2098@mta01.optamail.com>
Precedence: bulk
Subject: We All Scream for ...
MIME-Version: 1.0
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: 7bit

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>Joke-Of-The-Day from the Humor Network</title>
<link rel=stylesheet type="text/css"
href="http://www.farmjokes.com/style.css">
</head>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0"
marginheight="0" text="black" link="#ff0000" vlink="#990000">
<table width="585" border="0" cellspacing="4" cellpadding="0">
<!-- BEGIN HEADER -->
<tr>
<td colspan="2">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
<tr>
<td width="120" valign="bottom"><img
src="http://www.farmjokes.com/html_email/images/logo.gif"
width="120" height="80" alt="" border="0"></td>
<td align="right" valign="bottom">
<table border="0" cellspacing="4" cellpadding="0">
<tr>
<td bgcolor="#ffffff" align="center">
<a href="http://www.humornetwork.com/" target="_blank"><img
src="http://www.farmjokes.com/html_email/images/hnlogo.gif"
width="120" height="32" alt="" border="0"></a></td>
</tr>
<tr>
<td colspan="2" bgcolor="#ffffff" align="center"><font
face="Verdana,Arial" size="2">sending over <b>1 BILLION</b><br>jokes
every year!</font></td>
</tr>
</table></td>
</tr>
</table>
</td>
</tr>
<tr>
<td colspan="2">
<table width="100%" border="0" cellspacing="0" cellpadding="4"
bgcolor="black">
<tr>
<td><font face="Verdana,Arial" size=1 color="white"><b> Jokester
, This is Definitely The World's Largest Daily Joke
Network</b></font></td>
<td align="right"><font face="Verdana,Arial" size=1
color="white"><b>March 29, 2003</b></font></td>
</tr>
</table>
</td>
</tr>
<!-- END HEADER -->
<!-- BEGIN AD1 -->
<tr>
<td colspan="2" align="center" valign="middle"><font
face="Verdana,Arial" size="2">
<a href="http://ads.optamail.com/c/ads/1/52440300/2098/883/2003-03-29"><IMG 
SRC="http://a.websponsors.com/v/s=23454/c=25397/j=0/l=[slot_id]/"
 width="250" height="250" alt="Click here" border="0"></a>


</font></td>
</tr>
<!-- END AD1 -->
<!-- BEGIN QUOTE -->
<tr>
<td colspan="2" valign="top">
<table width="100%" border="0" cellspacing="2" cellpadding="2"
bgcolor="#000000">
<tr>
<td><font face="Verdana,Arial" size="4" color="white"><b>Quote of the
Day</b></font></td>
</tr>
<tr>
<td bgcolor="#ffffcc">
<table width="100%" border="0" cellspacing="0" cellpadding="8">
<tr>
<td valign="top"><font face="Verdana,Arial"
size="2">
<html><p>You've reached middle age when all you exercise is caution." 
---Unknown</p></html>


</font></td>
</tr>
</table>
</td>
</tr>
</table></td>
</tr>
<!-- END QUOTE -->
<!-- BEGIN NOTE -->
<tr>
<td colspan="2">
<table width="100%" border="0" cellspacing="2" cellpadding="2"
bgcolor="#000000">
<tr>
<td><font face="Verdana,Arial" size="4" color="white"><b>Jokemaster's
Note</b></font></td>
</tr>
<tr>
<td bgcolor="#ffffcc">
<table width="100%" border="0" cellspacing="0" cellpadding="8"
bgcolor="#ffffcc">
<tr>
<td valign="top"><font face="Verdana,Arial" size="2">
<html><p>Hey...happy Saturday...as you sip your delicious drink of
 choice...
I'd like to share with you what a member sent me today who is an
engineer.  This is what he wrote "Engineers understand that the 
obvious is not always the solution, and that the facts, no matter how
 implausible, are still the facts..." John, Pennsylvania.
</p>
<p>A complaint was received by the Pontiac Division of General Motors:
</p>
<p>"This is the second time I have written you, and I don't blame you
for not answering me, because I kind of sounded crazy, we have a 
tradition in our family of ice cream for dessert every night. 
After we've eaten, the whole family votes on which kind of ice
cream we should have and I drive down to the store to get it. 
</p>
<p>I recently purchased a new Pontiac and since then my trips to the
store have created a problem. You see, every time I buy
vanilla ice cream, when I start back from the store my car won't
start. If I get any other kind of ice cream, the car starts just
fine. I want you to know I'm serious about this question, no matter
how silly it sounds: What is there about a Pontiac that makes it not
start when I get vanilla ice cream, and easy to start whenever I get
any other kind?"
</p>
<p>The Pontiac President was understandably skeptical about the
 letter,
but sent an engineer to check it out anyway. The latter was surprised
to be greeted by a successful, obviously well-educated man. He had
arranged to meet the man just after dinner time, so the two hopped
into the car and drove to the ice cream store. It was vanilla ice 
cream that night and, sure enough, after they came back to the car,
it wouldn't start.
</p>
<p>The engineer returned for three more nights. The first night, 
the man got chocolate. The car started. The second night, 
he got strawberry.  The car started. The third night he ordered 
vanilla.  The car failed to start.
</p>
<p>Now the engineer, refused to believe this man's car was allergic
to vanilla ice cream. He arranged, therefore, to continue his visits.
And toward this end he began to take notes: he jotted down all sorts
of data, time of day, type of gas used, time to drive back and forth,
etc.
</p>
<p>In a short time, he had a clue: the man took less time to buy
 vanilla
than any other flavor. Why? The answer was in the layout of the
store.
</p>
<p>Vanilla, being the most popular flavor, was in a separate case at
 the
front of the store for quick pickup. All the other flavors were kept
in the back of the store at a different counter where it took
considerably longer to find the flavor and get checked out.
</p>
<p>Now the question for the engineer was why the car wouldn't start
 when
it took less time. Once time became the problem -- not the vanilla
ice cream -- the engineer quickly came up with the answer:  vapor
lock. It was happening every night, but the extra time taken to get
the other flavors allowed the engine to cool down sufficiently to
start. When the man got vanilla, the engine was still too hot for the
vapor lock to dissipate.
</p>
<p>Moral of the story: even insane-looking problems are sometimes
 real.
</p>
<p>Wow and thank you...I think this applies to my life...Have a great
Saturday!</p></html>


<p><b>RESPOND</b>: <a href="mailto:Feedback@humornetwork.com"
target="_blank">Feedback@humornetwork.com</a></font></td>
</tr>
</table>
</td>
</tr>
</table></td>
</tr>
<!-- END NOTE -->
<!-- BEGIN JOKE -->
<tr>
<td colspan="2" valign="top">
<table width="100%" border="0" cellspacing="2" cellpadding="2"
bgcolor="#000000">
<tr>
<td><font face="Verdana,Arial" size="4" color="white"><b>Today's
Joke</b></font></td>
</tr>
<tr>
<td bgcolor="#ffffcc">
<table width="100%" border="0" cellspacing="0" cellpadding="8"
bgcolor="#ffffcc">
<tr>
<td valign="top"><font face="Verdana,Arial"
size="2">
<html><p>An 80 year old couple were having problems remembering
 things, so
they decided to go to their doctor to get checked out to make sure 
nothing was wrong with them.
</p>
<p>When they arrived at the doctors, they explained to the doctor
 about 
the problems they were having with their memory. After checking the 
couple out, the doctor told them that they were physically okay but
might want to start writing things down and make notes to help them
remember things. The couple thanked the doctor and left.
</p>
<p>Later that night while watching TV, the man got up from his chair 
and his wife asked, "Where are you going?" 
</p>
<p>He replied, "To the kitchen."
</p>
<p>She asked, "Will you get me a bowl of ice cream?" 
</p>
<p>He replied, "Sure." 
</p>
<p>She then asked him, "Don't you think you should write it down
so you can remember it?" 
</p>
<p>He said, "No, I can remember that."
</p>
<p>She then said, "Well I would also like some strawberries on top. 
You had better write that down because I know you'll forget that."
</p>
<p>He said, "I can remember that, you want a bowl of ice cream with 
strawberries." She replied, "Well I also would like whipped cream 
on top. I know you will forget that so you better write it down." 
</p>
<p>With irritation in his voice, he said, "I don't need to write 
that down! I can remember that." He then fumes into the kitchen. 
</p>
<p>After about 20 minutes he returned from the kitchen and handed 
her a plate of bacon and eggs. She stared at the plate for a moment
and said angrily:
</p>
<p>"I TOLD you to write it down! You forgot my toast!" 
</p></html>


</font></td>
</tr>
</table>
</td>
</tr>
</table></td>
</tr>
<!-- END JOKE -->
<!-- BEGIN PIC / AD2 -->
<tr>
<td valign="top">
<table width="100%" height="100%" border="0" cellspacing="2"
cellpadding="2" bgcolor="#000000">
<tr>
<td><font face="Verdana,Arial" size="4" color="white"><b>Pic of the
Day</b></font></td>
</tr>
<tr>
<td bgcolor="#ffffcc">
<table width="100%" border="0" cellspacing="0" cellpadding="4"
bgcolor="#ffffcc">
<tr>
<td valign="top"><font face="Verdana,Arial"
size="2"><p>
<a href=http://www.farmjokes.com/email/newjoke/ICE>
<img src=http://www.farmjokes.com/email/newjoke/ICE></a><br>
<b>We all scream for ice cream...</b>


</font></td>
</tr>
</table>
</td>
</tr>
</table></td>
<td valign="middle" align="center"><font face="Verdana,Arial"
size="2">
<a href="http://ads.optamail.com/c/ads/1/52440300/2098/908/2003-03-29"><img
 src="http://www.farmjokes.com/email/ad_images/inusagroup/digipaljokes/300x300_digipal.gif"></a>


</font></td>
</tr>
<!-- END PIC / AD2 -->
<!-- BEGIN JOIN / FWD TO FRIEND -->
<tr>
<td valign="top">
<table width="100%" height="100%" border="0" cellspacing="2"
cellpadding="2" bgcolor="#000000">
<tr>
<td><font face="Verdana,Arial" size="4" color="white"><b>Give the
Gift of Laughter!</b></font></td>
</tr>
<tr>
<td bgcolor="#ffff66">
<table height="100%" border="0" cellspacing="0" cellpadding="4"
bgcolor="#ffff66">
<tr>
<td valign="middle"><font face="Verdana,Arial" size="2"><b>Send this
e-mail to a friend!</b></font></td>
</tr>
<tr>
<td valign="top"><font face="Verdana,Arial"
size="2">
<form method="get" action="http://home.optamail.com/forward.php">
<input type="hidden" name="a" value="1">
<input type="hidden" name="b" value="52440300">
<input type="hidden" name="c" value="y3Vn0sbErT1yEcKq">
<input type="hidden" name="d" value="45">
<input type="hidden" name="e" value="2098">
Friend's Email<br>
<input type="text" name="email" size="15" maxlength="128"><br>
<input type="checkbox" name="fwd[JOKE]" checked="checked">JOKE
<input type="checkbox" name="fwd[NOTE]">NOTE
<input type="checkbox" name="fwd[PIC]">PIC
<input type="checkbox" name="fwd[QUOTE]">QUOTE
<br><input type="submit" value="Send">
</form>

</font></td>
</tr>
</table>
</td>
</tr>
</table>
</td>
<td valign="top" align="center">
<table width="100%" height="100%" border="0" cellspacing="2"
cellpadding="4" bgcolor="#000000">
<tr>
<td><font face="Verdana,Arial" size="4" color="white"><b>Want More
Laughs?</b></font></td>
</tr>
<tr>
<td bgcolor="#ffff66">
<table border="0" cellspacing="0" cellpadding="8" bgcolor="#ffff66">
<tr>
<td valign="top"><font face="Verdana,Arial" size="2">Subscribe for
FREE! Click below to receive more daily funnies from our various
joke lists. Just fill out the easy form!</font></td>
</tr>
<tr>
<td valign="top" align="center"><font face="Verdana,Arial"
size="4"><a href="http://home.humornetwork.com/register.php">CLICK
HERE</a></font></td>
</tr>
<tr>
<td valign="bottom"><font face="Verdana,Arial" size="2">Going on
Vacation? We'll hold your mail and drive you to the
airport.</td></font></tr>
<tr><td valign="bottom" align="center"><a
href="http://home.humornetwork.com" target="_blank"><font
face="Verdana,Arial" size="4">CLICK HERE</font></a> </td><tr>
</table>
</td>
</tr>
</table>
</td>
</tr>
<!-- END JOIN / FWD TO FRIEND -->
<!-- BEGIN FOOTER -->
<tr>
<td colspan="2">
<table width="100%" border="0" cellspacing="2" cellpadding="8"
bgcolor="black">
<tr>
<td bgcolor="#ffffff"><a href="http://www.optamail.com"><img
border="0"
src="http://www.farmjokes.com/email/sports/poweredbyoptamail_180x54.gif"
width="180" height="54"></a></td>
<td bgcolor="#ffffff"><font face="Verdana,Arial" size="1">You
received this e-mail because when you signed up you agreed to
receive Joke-Of-The-Day from The Humor Network. If you don't want to
get these letters anymore please <a
href="http://home.optamail.com/unsub.php?a=45&b=52440300&c=y3Vn0sbErT1yEcKq&d=2098&e=1">click
here</a> or <a
href="mailto:unsub-1-45-52440300-y3Vn0sbErT1yEcKq-2098@mta01.optamail.com">send
a blank
email</a>.</font></td>
</tr>
<tr>
<td colspan="2" bgcolor="#ffffff"><font face="Verdana,Arial" size="1"
color="#666666">&copy;&nbsp;1997-2001&nbsp;Optanetwork
LLC&nbsp;/&nbsp;The&nbsp;Humor&nbsp;Network of original material and
compilation of material. All Rights Reserved. JOKE OF THE DAY is a
Registered Trademark of The Humor Network. All rights reserved. No
Permission is granted for redistribution of The Humor Network Jokes,
cartoons, photos or other material without the
expressed written permission of The Humor Network. For info on
licensing content, email <a
href="mailto:Licensing@Humornetwork.com">Licensing@HumorNetwork.com</a></font></td>
</tr>
</table>
</td>
</tr>
<!-- END FOOTER -->
</table>
<img src="http://view.optamail.com/view.php?e=2098&d=2003-03-29&s=52440300&c=1"
alt="logo" width="1" height="1">

</body>
</html>
Keywords: crash
maybe this should go over to bugscape... the art decoder might only be in
netscape builds...

here is the blackbox

Stack Signature  	nsARTDecoder2::EndART 21ad1856
Email Address 	chofmann@netscape.com
Product ID 	MozillaTrunk
Build ID 	2003032808
Trigger Time 	2003-03-29 13:07:31
Platform 	Win32
Operating System 	Windows NT 5.0 build 2195
Module 	nsart.dll
URL visited 	
User Comments 	trying to load joke of the day mail message
Trigger Reason 	Access violation
Source File Name 	c:/builds/seamonkey/ns/imaging/decoders/art/src/nsARTDecoder2.cpp
Trigger Line No. 	240
Stack Trace 	
nsARTDecoder2::EndART
[c:/builds/seamonkey/ns/imaging/decoders/art/src/nsARTDecoder2.cpp, line 240]
art_write [c:/builds/seamonkey/ns/imaging/decoders/art/src/art2.cpp, line 646]
imgContainerART::Notify
[c:/builds/seamonkey/ns/imaging/decoders/art/src/imgContainerART.cpp, line 120]
nsTimerImpl::Fire [c:/builds/seamonkey/mozilla/xpcom/threads/nsTimerImpl.cpp,
line 395]
nsTimerManager::FireNextIdleTimer
[c:/builds/seamonkey/mozilla/xpcom/threads/nsTimerImpl.cpp, line 616]
nsAppShell::Run [c:/builds/seamonkey/mozilla/widget/src/windows/nsAppShell.cpp,
line 176]
nsAppShellService::Run
[c:/builds/seamonkey/mozilla/xpfe/appshell/src/nsAppShellService.cpp, line 480]
main1 [c:/builds/seamonkey/mozilla/xpfe/bootstrap/nsAppRunner.cpp, line 1287]
main [c:/builds/seamonkey/mozilla/xpfe/bootstrap/nsAppRunner.cpp, line 1645]
WinMain [c:/builds/seamonkey/mozilla/xpfe/bootstrap/nsAppRunner.cpp, line 1666]
WinMainCRTStartup()
KERNEL32.DLL + 0x1ca90 (0x77e9ca90) 
Summary: joke of the day spam mail crash → MailNews crashes after extremely long "joke of the day" html spam mail
Whiteboard: woah, this didn't make bugzilla crash
right, ART is only in commercial builds. marking INVALID, please file a bugscape
bug.
Status: NEW → RESOLVED
Closed: 17 years ago
Resolution: --- → INVALID
V INV

(ART is listed as one of Netscape 6's / 7's features over Mozilla)
Status: RESOLVED → VERIFIED
Now why are all landmark bug numbers always INVALID?
:)

Congrats to the Bugzilla team :) 200000 bugs !!
Chris : This is a dupe of a bugscape topcrash bug
Whiteboard: woah, this didn't make bugzilla crash → [bugscape-dupe 19929] [ART format] woah, this didn't make bugzilla crash
narrowed down a bit.  looks like we choke trying to load this
http://www.farmjokes.com/email/newjoke/ICE , but only if the URL is embedded in
some page content...  test case coming up... 
can someone try loading this test page in a recent mozilla build and post what
happens?

this is the content in the simplified test case

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
</head>
<body bgcolor="#ffffff" leftmargin="0" topmargin="0" marginwidth="0"
marginheight="0" text="black" link="#ff0000" vlink="#990000">

<a href=http://www.farmjokes.com/email/newjoke/ICE>
<img src=http://www.farmjokes.com/email/newjoke/ICE></a>

</body>
</html>
nothing happends (empty page with a small red link in the left edge)
win2k build 200330.. 
Mozilla has reached another milestone in the number of bugs it has... ermm... 
I mean... Bugzilla has reached 200,000! Congratulations Bugzilla team! :-)

As a celebration, Netscape can buy the Mozilla project a new server to replace 
the dual 450Mhz Sparcstation. One with over 4 gigs of ram so that the entire 
database can be stored on a virtual disk in memory, and an IDE or SCSI RAID 
setup for mirroring. Wouldn't this be a good birthday present? ;-)
Component: Layout → ImageLib
Summary: MailNews crashes after extremely long "joke of the day" html spam mail → "joke of the day" html spam mail with art image crashes Netscape build
Here is my comment :D
You need to log in before you can comment on or make changes to this bug.